Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
optimism
/
output-roots
List output roots.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/optimism/output-roots \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "l1_block_number": 123,
      "l1_timestamp": "2023-11-07T05:31:56Z",
      "l1_transaction_hash": "<string>",
      "l2_block_number": 123,
      "l2_output_index": 123,
      "output_root": "<string>"
    }
  ],
  "next_page_params": {
    "index": 8829
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
index
integer

Item index for paging

Response

List of output roots.

items
OutputRoot · object[]
required
next_page_params
object
required
Example:
{ "index": 8829 }